curl --request GET \
--url https://api.eflow.team/v1/networks/offers/{offerId}/copy \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/offers/{offerId}/copy"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/offers/{offerId}/copy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_offer_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"network_offer_group_id": 123,
"name": "<string>",
"offer_status": "active",
"thumbnail_url": "<string>",
"visibility": "public",
"currency_id": "<string>",
"destination_url": "<string>",
"server_side_url": "<string>",
"preview_url": "<string>",
"html_description": "<string>",
"internal_notes": "<string>",
"network_category_id": 123,
"project_id": "<string>",
"date_live_until": "<string>",
"conversion_method": "server_postback",
"redirect_mode": "standard",
"session_definition": "cookie",
"session_duration": 123,
"attribution_method": "first_touch",
"is_caps_enabled": true,
"daily_conversion_cap": 123,
"weekly_conversion_cap": 123,
"monthly_conversion_cap": 123,
"global_conversion_cap": 123,
"daily_payout_cap": 123,
"weekly_payout_cap": 123,
"monthly_payout_cap": 123,
"global_payout_cap": 123,
"daily_revenue_cap": 123,
"weekly_revenue_cap": 123,
"monthly_revenue_cap": 123,
"global_revenue_cap": 123,
"daily_click_cap": 123,
"weekly_click_cap": 123,
"monthly_click_cap": 123,
"global_click_cap": 123,
"is_use_scrub_rate": true,
"scrub_rate_percentage": 123,
"is_duplicate_filter_enabled": true,
"is_block_already_converted": true,
"is_use_secure_link": true,
"is_allow_deep_link": true,
"is_session_tracking_enabled": true,
"session_tracking_lifespan_hour": 123,
"session_tracking_minimum_lifespan_second": 123,
"session_tracking_start_on": "null_value",
"is_whitelist_check_enabled": true,
"is_using_suppression_list": true,
"suppression_list_id": 123,
"network_tracking_domain_id": 123,
"caps_timezone_id": 123,
"app_identifier": "<string>",
"is_description_plain_text": true,
"terms_and_conditions": "<string>",
"is_force_terms_and_conditions": true,
"is_using_explicit_terms_and_conditions": true,
"redirect_routing_method": "unknown",
"redirect_internal_routing_type": "unknown",
"scrub_rate_status": "rejected",
"duplicate_filter_targeting_action": "unknown",
"already_converted_action": "unknown",
"is_must_approve_conversion": true,
"is_allow_duplicate_conversion": true,
"is_use_direct_linking": true,
"is_seo_friendly": true,
"is_fail_traffic_enabled": true,
"is_view_through_enabled": true,
"is_view_through_session_tracking_enabled": true,
"view_through_destination_url": "<string>",
"view_through_session_tracking_lifespan_minute": 123,
"view_through_session_tracking_minimal_lifespan_second": 123,
"is_email_attribution_enabled": true,
"is_email_attribution_window_enabled": true,
"email_attribution_method": "first_affiliate_attribution",
"email_attribution_window_minute": 123,
"email_attribution_window_type": "static",
"is_soft_cap": true,
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"advertiser": {
"network_advertiser_id": 123,
"network_id": 123,
"name": "<string>",
"account_status": "<string>",
"network_employee_id": 123,
"internal_notes": "<string>",
"sales_manager_id": 123,
"default_currency_id": "<string>",
"platform_name": "<string>",
"platform_url": "<string>",
"reporting_timezone_id": 123,
"time_created": 1734455015,
"time_saved": 1734455015
},
"category": {
"network_category_id": 123,
"network_id": 123,
"name": "<string>",
"status": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015
},
"creatives": {
"total": 123,
"entries": [
{}
]
},
"traffic_filters": {
"total": 123,
"entries": [
{}
]
},
"labels": {
"total": 123,
"entries": [
{}
]
},
"payout_revenue": {
"total": 123,
"entries": [
{
"network_offer_payout_revenue_id": 123,
"network_id": 123,
"network_offer_id": 123,
"entry_name": "<string>",
"payout_type": "<string>",
"payout_amount": 123,
"payout_percentage": 123,
"revenue_type": "<string>",
"revenue_amount": 123,
"revenue_percentage": 123,
"is_default": true,
"is_private": true,
"is_postback_disabled": true,
"is_enforce_caps": true,
"time_created": 1734455015,
"global_advertiser_event_id": 123,
"is_must_approve_conversion": true,
"is_allow_duplicate_conversion": true,
"is_email_attribution_default_event": true
}
]
},
"custom_cap_settings": {
"total": 123,
"entries": [
{}
]
},
"custom_scrub_rate_settings": {
"total": 123,
"entries": [
{}
]
},
"custom_payout_revenue_settings": {
"total": 123,
"entries": [
{}
]
},
"reporting": {
"imp": 123,
"total_click": 123,
"unique_click": 123,
"invalid_click": 123,
"duplicate_click": 123,
"gross_click": 123,
"ctr": 123,
"cv": 123,
"invalid_cv_scrub": 123,
"view_through_cv": 123,
"total_cv": 123,
"event": 123,
"cvr": 123,
"evr": 123,
"cpc": 123,
"cpm": 123,
"cpa": 123,
"epc": 123,
"rpc": 123,
"rpa": 123,
"rpm": 123,
"payout": 123,
"revenue": 123,
"event_revenue": 123,
"gross_sales": 123,
"profit": 123,
"margin": 123,
"roas": 123,
"avg_sale_value": 123,
"media_buying_cost": 123,
"on_hold_potential_revenue": 123,
"on_hold_potential_payout": 123,
"on_hold_conversion_count": 123,
"public_events": 123
},
"audits": {
"total": 123,
"entries": [
{}
]
},
"visibility": {
"network_id": 123,
"network_offer_id": 123,
"network_affiliate_visible_ids": [
123
],
"network_affiliate_rejected_ids": [
123
],
"network_affiliate_hidden_ids": [
123
]
},
"integrations": {
"optizmo": {},
"twentyfour_metrics": {},
"offer_demand_partner": {},
"forensiq": {},
"ezepo": {},
"anura": {},
"invoca": {},
"ip_quality_score": {},
"unsubcentral": {},
"ringba": {},
"retreaver": {}
},
"ruleset": {
"network_id": 123,
"network_ruleset_id": 123,
"time_created": 1734455015,
"time_saved": 1734455015,
"platforms": [
{}
],
"device_types": [
{}
],
"os_versions": [
{}
],
"browsers": [
{}
],
"languages": [
{}
],
"countries": [
{}
],
"regions": [
{}
],
"cities": [
{}
],
"dmas": [
{}
],
"mobile_carriers": [
{}
],
"connection_types": [
{}
],
"ips": [
{}
],
"is_block_proxy": true,
"is_use_day_parting": true,
"day_parting_apply_to": "<string>",
"day_parting_timezone_id": 123,
"days_parting": [
{}
],
"isps": [
{}
],
"brands": [
{}
],
"postal_codes": [
{}
]
},
"urls": {
"total": 123,
"entries": [
{}
]
},
"encoded_value": "<string>",
"remaining_caps": {
"remaining_daily_payout_cap": 123,
"remaining_daily_revenue_cap": 123,
"remaining_daily_conversion_cap": 123,
"remaining_daily_click_cap": 123,
"remaining_weekly_payout_cap": 123,
"remaining_weekly_revenue_cap": 123,
"remaining_weekly_conversion_cap": 123,
"remaining_weekly_click_cap": 123,
"remaining_monthly_payout_cap": 123,
"remaining_monthly_revenue_cap": 123,
"remaining_monthly_conversion_cap": 123,
"remaining_monthly_click_cap": 123,
"remaining_global_payout_cap": 123,
"remaining_global_revenue_cap": 123,
"remaining_global_conversion_cap": 123,
"remaining_global_click_cap": 123
},
"is_locked_currency": true,
"is_locked_caps_timezone": true,
"is_dmo": true,
"custom_creative_settings": {
"total": 123,
"entries": [
{}
]
},
"channels": {
"total": 123,
"entries": [
{}
]
},
"advertiser_global_events": [
{}
],
"email": {},
"email_optout": {},
"meta": {
"network_offer_id": 123,
"network_id": 123,
"app_id": "<string>",
"meta_platform": "<string>",
"advertiser_campaign_name": "<string>",
"bundle_id": "<string>",
"category": "<string>",
"store_url": "<string>",
"score_rating": 123,
"total_rating": 123,
"size": 123,
"developer": "<string>",
"version": "<string>",
"is_app_unavailable": true,
"time_created": 1734455015,
"time_app_data_saved": 1734455015,
"time_saved": 1734455015
},
"requirement_kpis": {
"total": 123,
"entries": [
{}
]
},
"requirement_tracking_parameters": {
"total": 123,
"entries": [
{}
]
}
}
}Copy Offer
Duplicate an existing offer. Creates a new offer with the same configuration as the source offer, including targeting, caps, and payout settings. The new offer will be created in a paused state.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The ID of the offer to copy.
Query Parameters
Copy custom settings
Copy creatives
Copy visibility settings
Copy additional URLs
Copy forwarding rules
Name for the copied offer
Response
The newly created offer copy with all fields and relationships.
Unique offer ID of the new copy.
Advertiser that owns this offer.
Offer group ID.
Offer name.
active, paused, pending, deleted public, require_approval, private Destination URL for the offer.
Server-side postback URL.
HTML description of the offer.
Internal notes (not visible to affiliates).
Offer expiration date (YYYY-MM-DD).
server_postback, http_image_pixel, https_image_pixel, http_iframe_pixel, https_iframe_pixel, javascript, cookie_based, html_pixel_cookie_based standard, single_meta_refresh, double_meta_refresh, seo_friendly cookie, ip, ip_user_agent, google_ad_id, idfa Session duration in hours.
first_touch, last_touch null_value, impression, click unknown, internal, null_value unknown, priority, weight, null_value, priority_global, weight_global rejected, pending unknown, block, fail_traffic unknown, block, fail_traffic first_affiliate_attribution, last_affiliate_attribution static, dynamic 1734455015
1734455015
Related data returned with the copied offer.
Show child attributes
Show child attributes
Was this page helpful?
